# Uses of Interface
org.springframework.test.web.reactive.server.WebTestClient

Packages that use WebTestClient
Package
Description
org.springframework.test.web.reactive.server
Support for testing Spring WebFlux server endpoints via `WebTestClient`.
org.springframework.test.web.servlet.client
Support for testing Spring MVC applications via `WebTestClient` with `MockMvc` for server request handling.

## Uses of WebTestClient in org.springframework.test.web.reactive.server

Methods in org.springframework.test.web.reactive.server that return WebTestClient
Modifier and Type
Method
Description
`WebTestClient`
WebTestClient.Builder.`build()`
Build the `WebTestClient` instance.
`WebTestClient`
WebTestClient.MockServerSpec.`build()`
Shortcut to build the test client.
`WebTestClient`
WebTestClient.`mutateWith(WebTestClientConfigurer configurer)`
Mutate the `WebTestClient`, apply the given configurer, and build a new instance.

## Uses of WebTestClient in org.springframework.test.web.servlet.client

Methods in org.springframework.test.web.servlet.client that return WebTestClient
Modifier and Type
Method
Description
`WebTestClient`
MockMvcWebTestClient.MockMvcServerSpec.`build()`
Shortcut to build the test client.